/*******************************************************************************
 * Copyright (c) 2007-2011 Guillermo Gonzalez
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.vcs.bazaar.eclipse.internal.core.model;

import org.eclipse.core.runtime.PlatformObject;
import org.vcs.bazaar.eclipse.core.model.IBzrBranch;
import org.vcs.bazaar.eclipse.core.model.IBzrObject;

/**
 * @author Guillermo Gonzalez
 *
 */
public abstract class BzrObject extends PlatformObject implements IBzrObject {

	protected BzrObject() {
		super();
	}

	/*
	 * (non-Javadoc)
	 *
	 * @see org.vcs.bazaar.eclipse.core.model.IBzrObject#getRepositoryLocation()
	 */
	public abstract IBzrBranch getBranch();

}
