/*******************************************************************************
 * Copyright (c) 2007-2013 Guillermo Gonzalez
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.vcs.bazaar.eclipse.ui.actions;

import org.eclipse.jface.action.IAction;
import org.vcs.bazaar.eclipse.ui.wizards.createproject.CreateProjectWizard;

/**
 * @author Guillermo Gonzalez
 *
 * TODO Implement me TODO: split into Operation and Action
 */
public class BranchAction extends WorkbenchAction {

	/*
	 * (non-Javadoc)
	 *
	 * @see org.eclipse.ui.IActionDelegate#run(org.eclipse.jface.action.IAction)
	 */
	@Override
    public void execute(IAction action) {
        new CreateProjectWizard(getSelection()).show(getShell());
	}

	@Override
	protected boolean isEnabledForMultipleResources() {
		return false;
	}

}
