/*******************************************************************************
* Copyright (c) 2013 Piotr Piastucki
*
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
*******************************************************************************/
package org.vcs.bazaar.eclipse.ui.actions;

import org.eclipse.core.resources.IProject;
import org.eclipse.jface.action.IAction;
import org.vcs.bazaar.eclipse.BzrWorkspaceRoot;
import org.vcs.bazaar.eclipse.ui.views.ConflictsView;

public class ShowConflictsAction extends WorkbenchAction {

	@Override
	protected void execute(IAction action) throws Exception {
		// Show View
		ConflictsView view = (ConflictsView) getActivePage().showView(ConflictsView.VIEW_ID);
		IProject[] projects = getEnclosingProjectsForSelectedResources();
		view.setInput(BzrWorkspaceRoot.getBranchFor(projects[0]));

	}

}
