/*******************************************************************************
 * Copyright (c) 2013 Piotr Piastucki
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package org.vcs.bazaar.eclipse.ui.actions;

import org.eclipse.jface.action.IAction;
import org.vcs.bazaar.eclipse.ui.views.StatusView;

/**
 * @author Piotr Piastucki
 */
public class StatusAction extends WorkbenchAction {

	@Override
    public void execute(IAction action) throws Exception {
		StatusView view = (StatusView) getActivePage().showView(StatusView.VIEW_ID);
		view.setInput(getSelectedResources());
	}

}
