/*******************************************************************************
 * Copyright (c) 2013 Piotr Piastucki
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package org.vcs.bazaar.eclipse.ui.history;

import org.eclipse.core.resources.IResource;
import org.vcs.bazaar.eclipse.core.model.IBzrResource;

/**
 * @author Piotr Piastucki
 */
public class BazaarHistoryPageInput {
	final IBzrResource resource;
	final IResource[] selectedResources;

	public BazaarHistoryPageInput(IBzrResource resource, IResource[] selectedResources) {
		this.resource = resource;
		this.selectedResources = selectedResources;
	}
	public IBzrResource getResource() {
		return resource;
	}
	public IResource[] getSelectedResources() {
		return selectedResources;
	}

}