/*******************************************************************************
* Copyright (c) 2007-2011 Guillermo Gonzalez
*
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
*******************************************************************************/
package org.vcs.bazaar.eclipse.ui.preferences;


/**
 * Constant definitions for plug-in preferences
 */
public class BazaarPreferenceConstants  {

	public static final String PREF_CONSOLE_COMMAND_COLOR = "pref_console_command_color"; //$NON-NLS-1$
	public static final String PREF_CONSOLE_MESSAGE_COLOR = "pref_console_message_color"; //$NON-NLS-1$
	public static final String PREF_CONSOLE_ERROR_COLOR = "pref_console_error_color"; //$NON-NLS-1$
	public static final String PREF_CONSOLE_FONT = "pref_console_font"; //$NON-NLS-1$
	public static final String PREF_CONSOLE_SHOW_ON_ERROR = "pref_console_show_on_error"; //$NON-NLS-1$
	public static final String PREF_CONSOLE_SHOW_ON_MESSAGE = "pref_console_show_on_message"; //$NON-NLS-1$
	public static final String PREF_CONSOLE_SHOW_ON_DEBUG = "pref_console_show_on_debug"; //$NON-NLS-1$
	public static final String PREF_CONSOLE_LIMIT_OUTPUT = "pref_console_limit_output"; //$NON-NLS-1$
	public static final String PREF_CONSOLE_HIGH_WATER_MARK = "pref_console_high_water_mark"; //$NON-NLS-1$
	public static final String PROJECT_TEXT_DECORATOR = "pref_project_decorator_enabled"; //$NON-NLS-1$
	public static final String FILE_TEXT_DECORATOR = "pref_file_text_decorator_enabled"; //$NON-NLS-1$
	public static final String STATUS_TEXT_DECORATOR = "pref_status_text_decorator_enabled"; //$NON-NLS-1$
	public static final String STATUS_OVERLAY_DECORATOR = "pref_status_overlay_decorator_enabled"; //$NON-NLS-1$
	public static final String DEEP_DECORATION = "pref_performance_deep_decoration"; //$NON-NLS-1$
	public static final String CHECK_ACTION_AVAILABILITY = "pref_performance_check_action_availability"; //$NON-NLS-1$
	public static final String NOT_VERSIONED_MARKER = "pref_marker_not_versioned"; //$NON-NLS-1$
	public static final String HISTORY_SHOW_AFFETCED_PATHS = "pref_history_show_affected_paths"; //$NON-NLS-1$
	public static final String COMMIT_DIALOG_TEMPLATES = "commit_dialog_templates"; //$NON-NLS-1$
	public static final String COMMIT_DIALOG_HISTORY_MESSAGES = "commit_dialog_history_messages"; //$NON-NLS-1$
	public static final String COMMIT_DIALOG_HISTORY_SIZE = "commit_dialog_history_size"; //$NON-NLS-1$
	public static final String THEME_UNCOMMITTED_CHANGE_FONT = "org.vcs.bazaar.eclipse.ui.UncommittedChangeFont"; //$NON-NLS-1$
	public static final String THEME_UNCOMMITTED_CHANGE_FOREGROUND = "org.vcs.bazaar.eclipse.ui.UncommittedChangeForegroundColor"; //$NON-NLS-1$
	public static final String THEME_UNCOMMITTED_CHANGE_BACKGROUND = "org.vcs.bazaar.eclipse.ui.UncommittedChangeBackgroundColor"; //$NON-NLS-1$
	public final static String THEME_COMMIT_MESSAGE_EDITOR_FONT = "org.vcs.bazaar.eclipse.ui.CommitMessageEditorFont"; //$NON-NLS-1$
	public static final String COMMIT_DIALOG_HARD_WRAP_MESSAGE = "commit_dialog_hard_wrap_message"; //$NON-NLS-1$
	public static final String DEFAULT_BRANCH_TYPE = "default_branch_type"; //$NON-NLS-1$
	public static final String NOTIFICATION_TIMESTAMP_PREFIX = "notification_ts_"; //$NON-NLS-1$
	public static final String BRANCH_LOCATION_HISTORY = "branch_location_history"; //$NON-NLS-1$
}
