/*******************************************************************************
 * Copyright (c) 2007-2013 Guillermo Gonzalez
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.vcs.bazaar.eclipse.core;

/**
 * <p>
 * contains constant definitions for the tracing options in
 * <code>.options</code>.
 * </p>
 *
 * @author Guillermo Gonzalez
 */
public interface ITracingOptions {
	String STATUS_CACHE = "status_cache"; //$NON-NLS-1$
	String STATUS_COMMAND = "status_command"; //$NON-NLS-1$
	String FILE_MODIFICATION_MANAGER = "file_modification_manager"; //$NON-NLS-1$
	String METADIR_CHANGE_LISTENER = "metadir_change_listener"; //$NON-NLS-1$
	String TEAM_PROVIDER = "team_provider"; //$NON-NLS-1$
	String MOVE_DELETE_HOOK = "move_delete_hook"; //$NON-NLS-1$
	String LOG_CACHE = "log_cache"; //$NON-NLS-1$

}

