/*******************************************************************************
 * Copyright (c) 2007-2013 Guillermo Gonzalez
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.vcs.bazaar.eclipse.core.model;

import java.util.List;

import org.vcs.bazaar.client.IBazaarLogMessage;

/**
 * @author Guillermo Gonzalez
 *
 */
public interface IBzrMissingRevisions {

	public List<IBazaarLogMessage> getExtraRevisions();

	public List<IBazaarLogMessage> getMissingRevisions();

}
