 /*******************************************************************************
 * Copyright (c) 2007-2013 Guillermo Gonzalez
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 *******************************************************************************/
package org.vcs.bazaar.eclipse.core.model;

import org.eclipse.core.runtime.IAdaptable;

/**
 * Base Interface for all BzrObject's.
 *
 * @author Guillermo Gonzalez
 */
public interface IBzrObject extends IAdaptable {

	/**
	 * <p>
	 * returns the repository/branch to which this resource belongs.
	 * </p>
	 */
	public IBzrBranch getBranch();
}
