/*******************************************************************************
* Copyright (c) 2007-2013 Guillermo Gonzalez
*
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
*******************************************************************************/
package org.vcs.bazaar.eclipse.core.subscriber;

import org.eclipse.core.resources.IResource;
import org.eclipse.team.core.variants.IResourceVariant;
import org.eclipse.team.core.variants.IResourceVariantComparator;

public class BazaarLocalVariantComparator implements IResourceVariantComparator {
	public boolean compare(IResource local, IResourceVariant remote) {
		if (local == null && remote == null)
			return true;

		return false;
	}

	public boolean compare(IResourceVariant base, IResourceVariant remote) {
		return ((BazaarResourceVariant)base).getContentIdentifier().equals(((BazaarResourceVariant)remote).getContentIdentifier());
	}

	public boolean isThreeWay() {
		return false;
	}
}
